Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 60583003: The chrome.screenlockPrivate API allows select apps to control the ChromeOS ScreenLocker. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 5 months ago by benjhayden_chromium
Modified:
2 months, 3 weeks ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, Jay Civelli, Will Drewry
Visibility:
Public.

Description

The chrome.screenlockPrivate API allows select apps to control the ChromeOS ScreenLocker. https://docs.google.com/document/d/1kSxngeyBPZIB7kK-QfDXgpzrDBvnVBcJfbK3HMFQIZg/edit The live version of the whitelisted app uses the chrome.usb API to execute a challenge-response protocol with an experimental device that has received a provisional green light from Google Security Team for unlocking. Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=235529

Patch Set 1 #

Patch Set 2 : . #

Total comments: 6

Patch Set 3 : onChange works #

Total comments: 2

Patch Set 4 : #

Patch Set 5 : clean up apitest.cc #

Total comments: 8

Patch Set 6 : clean up test.js #

Total comments: 2

Patch Set 7 : RequestLockScreen #

Patch Set 8 : . #

Patch Set 9 : permission message #

Patch Set 10 : . #

Patch Set 11 : clang #

Unified diffs Side-by-side diffs Delta from patch set Stats (+311 lines, -2 lines) Patch
M chrome/app/generated_resources.grd View 1 chunk +3 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/extensions/screenlock_private_api.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +80 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/extensions/screenlock_private_api.cc View 1 2 3 4 5 6 1 chunk +123 lines, -0 lines 0 comments Download
A + chrome/browser/chromeos/extensions/screenlock_private_apitest.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/extensions/extension_function_histogram_value.h View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/profiles/chrome_browser_main_extra_parts_profiles.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/chrome_browser_extensions.gypi View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/extensions/api/_api_features.json View 1 2 3 4 5 6 7 8 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/common/extensions/api/_permission_features.json View 1 2 3 4 5 6 7 8 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/common/extensions/api/api.gyp View 1 1 chunk +1 line, -0 lines 0 comments Download
A chrome/common/extensions/api/screenlock_private.idl View 1 2 3 1 chunk +26 lines, -0 lines 0 comments Download
M chrome/common/extensions/permissions/chrome_api_permissions.cc View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/screenlockPrivate/manifest.json View 1 2 3 1 chunk +7 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/screenlockPrivate/test.js View 1 2 3 4 5 1 chunk +44 lines, -0 lines 0 comments Download
M extensions/common/permissions/api_permission.h View 1 8 1 chunk +1 line, -0 lines 0 comments Download
M extensions/common/permissions/permission_message.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 29 (1 generated)
benjhayden_chromium
First draft.
1 year, 5 months ago (2013-11-07 18:08:16 UTC) #1
xiyuan
+mpcomplete for extension API It is probably good to also send the proposal to extensions-dev ...
1 year, 5 months ago (2013-11-07 19:08:10 UTC) #2
Matt Perry
Please follow the instructions at http://go/newchromeapi. (It applies to private APIs as well, but the ...
1 year, 5 months ago (2013-11-07 19:41:35 UTC) #3
benjhayden_chromium
Done and done.
1 year, 5 months ago (2013-11-11 23:44:30 UTC) #4
Matt Perry
https://codereview.chromium.org/60583003/diff/60001/chrome/common/extensions/api/_api_features.json File chrome/common/extensions/api/_api_features.json (right): https://codereview.chromium.org/60583003/diff/60001/chrome/common/extensions/api/_api_features.json#newcode314 chrome/common/extensions/api/_api_features.json:314: "channel": "stable", you don't need this line - thedependency ...
1 year, 5 months ago (2013-11-12 21:26:30 UTC) #5
benjhayden_chromium
https://codereview.chromium.org/60583003/diff/60001/chrome/common/extensions/api/_api_features.json File chrome/common/extensions/api/_api_features.json (right): https://codereview.chromium.org/60583003/diff/60001/chrome/common/extensions/api/_api_features.json#newcode314 chrome/common/extensions/api/_api_features.json:314: "channel": "stable", On 2013/11/12 21:26:30, Matt Perry wrote: > ...
1 year, 5 months ago (2013-11-13 00:46:22 UTC) #6
Matt Perry
https://codereview.chromium.org/60583003/diff/230001/chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js File chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js (right): https://codereview.chromium.org/60583003/diff/230001/chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js#newcode15 chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js:15: xhr.open('get', 'http://scrap.mtv.corp.google.com:54329/value', true); I wouldn't check this in with ...
1 year, 5 months ago (2013-11-13 01:01:14 UTC) #7
benjhayden_chromium
https://codereview.chromium.org/60583003/diff/230001/chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js File chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js (right): https://codereview.chromium.org/60583003/diff/230001/chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js#newcode15 chrome/common/extensions/docs/examples/api/screenlockPrivate/weblocker/bg.js:15: xhr.open('get', 'http://scrap.mtv.corp.google.com:54329/value', true); On 2013/11/13 01:01:14, Matt Perry wrote: ...
1 year, 5 months ago (2013-11-13 17:17:50 UTC) #8
xiyuan
Mostly good from my side. https://codereview.chromium.org/60583003/diff/370001/chrome/browser/chromeos/extensions/screenlock_private_api.cc File chrome/browser/chromeos/extensions/screenlock_private_api.cc (right): https://codereview.chromium.org/60583003/diff/370001/chrome/browser/chromeos/extensions/screenlock_private_api.cc#newcode44 chrome/browser/chromeos/extensions/screenlock_private_api.cc:44: ScreenLocker::Show(); Let's do the ...
1 year, 5 months ago (2013-11-13 20:47:29 UTC) #9
Matt Perry
lgtm
1 year, 5 months ago (2013-11-13 20:49:37 UTC) #10
benjhayden_chromium
https://codereview.chromium.org/60583003/diff/370001/chrome/browser/chromeos/extensions/screenlock_private_api.cc File chrome/browser/chromeos/extensions/screenlock_private_api.cc (right): https://codereview.chromium.org/60583003/diff/370001/chrome/browser/chromeos/extensions/screenlock_private_api.cc#newcode44 chrome/browser/chromeos/extensions/screenlock_private_api.cc:44: ScreenLocker::Show(); On 2013/11/13 20:47:30, xiyuan wrote: > Let's do ...
1 year, 5 months ago (2013-11-13 21:42:21 UTC) #11
xiyuan
lgtm
1 year, 5 months ago (2013-11-13 22:03:42 UTC) #12
benjhayden_chromium
Should setLocked(false) go through the session manager or ScreenLocker::UnlockOnLoginSuccess(), or does ScreenLocker::Hide() send all the ...
1 year, 5 months ago (2013-11-13 22:44:21 UTC) #13
benjhayden_chromium
CC Will FHI
1 year, 5 months ago (2013-11-13 22:46:03 UTC) #14
xiyuan
On 2013/11/13 22:44:21, benjhayden_chromium wrote: > Should setLocked(false) go through the session manager or > ...
1 year, 5 months ago (2013-11-13 22:53:07 UTC) #15
benjhayden_chromium
erg@chromium.org: Please review changes in chrome/browser/profiles/chrome_browser_main_extra_parts_profiles.cc
1 year, 5 months ago (2013-11-13 23:21:19 UTC) #16
Elliot Glaysher
lgtm
1 year, 5 months ago (2013-11-13 23:27:18 UTC) #17
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/benjhayden@chromium.org/60583003/630001
1 year, 5 months ago (2013-11-14 17:50:37 UTC) #18
I haz the power (commit-bot)
Retried try job too often on chromium_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=chromium_presubmit&number=36234
1 year, 5 months ago (2013-11-14 18:09:02 UTC) #19
benjhayden_chromium
Any opinions on whether I should make this review public or dcommit?
1 year, 5 months ago (2013-11-14 18:13:16 UTC) #20
xiyuan
On 2013/11/14 18:13:16, benjhayden_chromium wrote: > Any opinions on whether I should make this review ...
1 year, 5 months ago (2013-11-14 18:17:30 UTC) #21
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/benjhayden@chromium.org/60583003/630001
1 year, 5 months ago (2013-11-14 18:21:57 UTC) #22
I haz the power (commit-bot)
Retried try job too often on linux_rel for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=189994
1 year, 5 months ago (2013-11-14 19:04:36 UTC) #23
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/benjhayden@chromium.org/60583003/1120001
1 year, 5 months ago (2013-11-15 18:23:59 UTC) #24
I haz the power (commit-bot)
Retried try job too often on linux_chromeos_clang for step(s) compile http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_chromeos_clang&number=58535
1 year, 5 months ago (2013-11-15 20:32:10 UTC) #25
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/benjhayden@chromium.org/60583003/1530001
1 year, 5 months ago (2013-11-16 02:37:48 UTC) #26
I haz the power (commit-bot)
Change committed as 235529
1 year, 5 months ago (2013-11-17 16:03:55 UTC) #27
korcikorci1984
2 months, 3 weeks ago (2015-01-28 18:03:39 UTC) #29
Message was sent while issue was closed.

          
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 700cc9d